wake-up-neo.net

Android Studio: com.Android.tools.build:gradle:2.0.0-alpha2 konnte nicht gefunden werden

Vor kurzem habe ich mein Android Studio auf die neueste Version von Latest Android Studio Canary Build: 2.0 Preview aktualisiert.

Nach dem Update auf die neue Version funktioniert mein aktuelles Arbeitsverzeichnis überhaupt nicht mehr. Jedes Mal, wenn ich versuche, ein Projekt zu bereinigen und zu erstellen, wird mir ein Fehler wie dieser angezeigt

Blockquote 'Fehler: com.Android.tools.build:gradle:2.0.0-alpha2..__ konnte nicht gefunden werden. An folgenden Orten gesucht: Datei:/Programme/Android Studio.app/Contents/gradle/m2repository/com/Android/tools/build/gradle/2.0.0-alpha2/gradle-2.0.0-alpha2.pom Datei:/Programme/Android Studio.app/Contents/gradle/m2repository/com/Android/tools/build/gradle/2.0.0-alpha2/gradle-2.0.0-alpha2.jar https://repo1.maven.org/maven2/com/Android/tools/build/gradle/2.0.0-alpha2/gradle-2.0.0-alpha2.pomhttps://repo1.maven.org/maven2/com/Android/tools/build/gradle/2.0.0-alpha2/gradle-2.0.0-alpha2.jar Benötigt von: : Android 3: nicht angegeben '

Jeder hat eine Idee, wie man dieses Problem lösen kann. Danke im Voraus. 

UPDATE: Ich verwende eine Mac-Maschine und ein Installationsverzeichnis

Android Studio Installation Directory

46
Swapnil Sonar

Anscheinend wurden die Build-Tools von maven nach jcenter verschoben, sodass Sie den Code ändern müssen:

buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:2.0.0-alpha2'
    }
}

zu diesem

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:2.0.0-alpha2'
    }
}

Weitere Details zu den Änderungen: 

Android Tools Project Site http://tools.Android.com/recent

Android Developer Tools-Community https://plus.google.com/communities/114791428968349268860/stream/7f20992b-7d9a-4309-9d94-6fbe08f0ad6e

97

Fügen Sie in der Hauptdatei build.gradle jcenter () als Haupt-Repo hinzu:

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:1.5.0'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        jcenter()
    }
}

Entfernen Sie andere Repositorys oder stellen Sie sicher, dass jcenter das erste ist.

7
NitroG42
buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:2.3.0'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

repositories block should be in buildscript. 
1
Sunshine

Ich habe so etwas ausprobiert 

platfoms> Android> cordova> lib> builders> Gradlebuilder.js

Heruntergeladene Zip- und Pfadangabe 

var distributionUrl = process.env['CORDOVA_Android_GRADLE_DISTRIBUTION_URL'] || 'file\:///C:/MyPC/Documents/softwares/gradle-2.14.1-all.Zip';

und Verknüpfungspfad ist 

allprojects {
    repositories {
        mavenLocal()

        google()
        jcenter()
         maven{url "http://jcenter.bintray.com"}
    }
}

Es hat für mich funktioniert.

  • das ist für ionische Entwickler 
0
praveenpds

Ich habe den neuesten Ordner gradle-4.1-all in C:\Users\YOUR_USER_NAME\ .gradle\wrapper\dists\ entfernt und dann ein neues Projekt in Android Studio erstellt. Die folgende Meldung wurde ausgeblendet:

"Gradle-Synchronisierung fehlgeschlagen: com.Android.tools.build: Gradle: 3.0.0-beta6 wurde nicht gefunden."

0
gloslasu

Auf meiner Seite ist Travis Build mit der Fehlermeldung "Konnte com.Android.tools.build:gradle:3.0.1 nicht finden" fehlgeschlagen.

Nachdem google() als zusätzliches Repository hinzugefügt wurde, war das Problem behoben.

buildscript {
    repositories {
        jcenter()
        google()

Mein lokaler Build schlug nicht fehl, weil ich vor "com.Android.tools.build:gradle:3.0.1" mit anddroid-sdk-manager installiert hatte 

0
k3b
buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:2.3.3'
        classpath 'com.google.gms:google-services:3.0.0'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        maven { url "https://maven.google.com" }
        maven { url "https://jitpack.io" }
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
0
bakan

Überprüfen Sie, ob Gradle 2.0.0-alpha1 auf Ihrem System verfügbar ist. Schauen Sie in Ihrem Android/tools/build/gradle-Ordner nach. In meinem Fall trotz der verwirrenden Meldung "Dieses Projekt verwendet eine Vorschauversion des Gradle-Plugins (2.0.0-alpha2) und eine neuere Version ist verfügbar (2.0.0-alpha2). Sie können auf 2.0.0-alpha2 aktualisieren. " Die Version in meinem Ordner war 2.0.0-alpha1, und mein build.gradle wurde folgendermaßen geändert: classpath 'com.Android.tools.build:gradle:2.0.0-alpha1'fixiert mein Build-Problem.

0
jrisch